using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("附件")]
    public class T_SK_MAJOR_ACCIDENT_HAZARD_MANAGE_FILE : MesEntityBase
    {
        [Description("重大事故隐患治理销号表")]
        [DataFieldForeignKey("Nav_Major", "Nav_Files")]
        public Guid MAJOR_ACCIDENT_HAZARD_MANAGE_ID { get; set; }

        [Description("导航属性：重大事故隐患治理销号表")]
        public virtual T_SK_MAJOR_ACCIDENT_HAZARD_MANAGE Nav_Major { get; set; }
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
